﻿using System;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace MovingSpot
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			// Required to initialize variables
			InitializeComponent();
			Loaded +=new System.Windows.RoutedEventHandler(MainPage_Loaded);
		}

		private void sliderBlur_ValueChanged(object sender, System.Windows.RoutedPropertyChangedEventArgs<double> e)
		{
			fxBlur.Radius = e.NewValue;
		}

		private void MainPage_Loaded(object sender, System.Windows.RoutedEventArgs e)
		{
			SpotAnim.Completed+=new System.EventHandler(SpotAnim_Completed);
			Bip.Play();
			SpotAnim.Begin();
		    sliderBlur.ValueChanged += sliderBlur_ValueChanged;
            sliderSquares.ValueChanged += sliderSquares_ValueChanged;
		}

        void sliderSquares_ValueChanged(object sender, RoutedPropertyChangedEventArgs<double> e)
        {
            canvasSquares.Opacity = sliderSquares.Value;
        }

        private void SpotAnim_Completed(object sender, System.EventArgs e)
        {
        	Bip.Stop();
			Bip.Play();
			SpotAnim.Begin();
        }

        private void MiniPage_MouseEnter(object sender, System.Windows.Input.MouseEventArgs e)
        {
        	PageOpen.Begin();
        }

        private void MiniPage_MouseLeave(object sender, System.Windows.Input.MouseEventArgs e)
        {
        	PageClose.Begin();
        }

	}
}